|
|
@ -3,18 +3,20 @@ new file mode 100755
|
|
|
|
index 0000000..6d06fc7
|
|
|
|
index 0000000..6d06fc7
|
|
|
|
--- /dev/null
|
|
|
|
--- /dev/null
|
|
|
|
+++ b/usr/lib/finish-install.d/08rcn-omap
|
|
|
|
+++ b/usr/lib/finish-install.d/08rcn-omap
|
|
|
|
@@ -0,0 +1,20 @@
|
|
|
|
@@ -0,0 +1,22 @@
|
|
|
|
+#!/bin/sh -e
|
|
|
|
+#!/bin/sh -e
|
|
|
|
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf
|
|
|
|
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf
|
|
|
|
+
|
|
|
|
+
|
|
|
|
+if [ -e /etc/rcn.conf ]; then
|
|
|
|
+if [ -e /etc/rcn.conf ]; then
|
|
|
|
+ mkdir -p /tmp/mmc
|
|
|
|
+ mkdir -p /tmp/mmc
|
|
|
|
+ mount /dev/mmcblk0p1 /tmp/mmc
|
|
|
|
+ mount /dev/mmcblk0p1 /tmp/mmc
|
|
|
|
+ rm -f /tmp/mmc/boot.scr
|
|
|
|
+ rm -f /tmp/mmc/boot.scr || true
|
|
|
|
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
|
|
|
|
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
|
|
|
|
+ rm -f /tmp/mmc/uInitrd.net
|
|
|
|
+ rm -f /tmp/mmc/uInitrd.net || true
|
|
|
|
|
|
|
|
+ mv /tmp/mmc/uInitrd.end /tmp/mmc/uInitrd
|
|
|
|
|
|
|
|
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
|
|
|
|
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
|
|
|
|
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
|
|
|
|
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb
|
|
|
|
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
|
|
|
|
+ sync
|
|
|
|
+ sync
|
|
|
|
+ umount /tmp/mmc
|
|
|
|
+ umount /tmp/mmc
|
|
|
|
+
|
|
|
|
+
|
|
|
|